function dblyplot(X,Y1,Y2,Ylab1,Ylab2)

% DBLYPLOT :         Plot avec 2 ordonnes ayant des units diffrentes.
%
% dblyplot(xlim,Y1,Y2,Ylab1,Ylab2)
%
% Entres     :
% ------------
% X           : Vecteur des valeurs de l'abscisse
% Y1, Y2      : Vecteurs des valeurs des 2 ordonnes. Y1 pour  
%               l'ordonne de gauche, et Y2 pour celle de droite
% Ylab1,Ylab2 : Labels respectifs des 2 ordonnes (de gauche puis de droite)
%
% note : X, Y1 et Y2 doivent avoir la meme longueur (ce qui n'est pas vrifi)

%_________________________________________________________
% Auteur : C.Sorror (avril 2012)
% --------------------------------------------------------
xlim = [X(1) X(end)];

[AX,H1,H2] = plotyy(X,Y1,X,Y2);
set(AX,'xlim',xlim)
%
set(H1,'linewidth',1.3,'marker','*'); 
set(H2,'linewidth',1.3,'marker','*');
%
set(get(AX(1),'Ylabel'),'string',Ylab1);
set(get(AX(2),'Ylabel'),'string',Ylab2);
%
if (~exist('OCTAVE_VERSION'))
   axes(AX(1)); axis tight;
   axes(AX(2)); axis tight;
end
%
% --------------------------------------------------------
%
