function [b0, b1, hp] = regtrace(x,y,sp)
%
% REGTRACE :         Regression linaire : Coefficients, 
%    et optionnellement traage, de la droite de regression
%    lineaire : y = b0 + b1*x
%
% [b0, b1, hp] = regtrace(x,y,sp);
%
% Entres :
% ---------
% x, y : Vecteurs des coordonnes des points  rgresser linairement
% sp   : (optionel) string plot : chaine de caractres comme celle
%        utilise par la fonction plot pour le choix des marqueurs et 
%        des couleurs de tracage de la droite sur la fenetre courante. 
%        Si cet arguement n'est pas pass la droite de rgression ne
%        sera pas trace.
%
% Sorties :
% ---------
% b0, b1 : Coefficients de la droite de rgression
% hp     : Pointeur (handle) sur la droite trace, pour pouvoir en
%          modifier les proprits

%_________________________________________________________
% Auteur : C.Sorror (avril 2012)
% --------------------------------------------------------
moyx = mean(x); moyy = mean(y); 
if (1) % pour b1, il y a plusieurs faons quivalentes de faire :
   b1  = sum((x-moyx) .* (y-moyy))  /  sum((x-moyx).^2);
else   % ou encore :
   VC = cov(x,y); 
   b1  = VC(1,2)/VC(1,1); %= cov(x,y)/var(x)
end
b0  = moyy - b1*moyx;
%
if (nargin==3)
   xmin=min(x); xmax=max(x);               
   xr = [xmin:(xmax-xmin)/200:xmax]';  
   yr = b1*xr + b0;
   hp = plot(xr,yr,sp);
else
   hp = NaN;                                
end 
%
% --------------------------------------------------------
%
